Lee Kania Fri, 10/04/2024 - 19:42 Forums: Modeling Data and AlgorithmsSo fundamental that it's a bit embarrassing. How might I build a single TopoDS_Shape object from multiple TopoDS_Solid objects? Dmitrii Pasukhin Sat, 10/05/2024 - 16:05 Hello, There are 2 options: TopoDS_Compound aComp; BRep_Builder{}.MakeCompound(aComp); BRep_Builder{}.Add(aComp, aSolid1); ... BRep_Builder{}.Add(aComp, aSolidN);And second option is Boolean Fuse operation. BRepAlgoAPI_Fuse fuse(face1, face2); fuse.SimplifyResult(); return fuse.Shape();Best regards. Dmitrii. Log in to post comments
Sat, 10/05/2024 - 16:05
Hello,
There are 2 options:
And second option is Boolean Fuse operation.
Best regards. Dmitrii.